Pagination
Paginate ComplyCube API list responses with parameters, date filters, and examples for common resources.
All top-level API resources support bulk fetches via “list” API methods. For instance, among other resources, you can list clients and documents.
These requests will be paginated to 100 items by default. You can specify further pages using the page query parameter.
You can use the query parameters below for all our list API methods:
Pagination attributes
createdAfter
A "greater than" filter on the list based on the resource createdAt field.
createdBefore
A "less than" filter on the list based on the resource createdAt field.
updatedAfter
A "greater than" filter on the list based on the resource updatedAt field.
updatedBefore
A "less than" filter on the list based on the resource updatedAt field.
pageSize
Indicates how many records each page should contain. The value must be between 1 and 1000. The default is 100.
page
Specifies the page number to retrieve. The value must be equal to or greater than 1.
Example request
curl -X GET https://api.complycube.com/v1/clients?page=1&pageSize=20 \
-H 'Authorization: <YOUR_API_KEY>'const { ComplyCube } = require("@complycube/api");
const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });
// For clients
const clients = await complycube.client.list({
page: 1,
pageSize: 20
});
// For documents. Similarly done for addresses, checks, live photos, etc.
const documents = await complycube.document.list("CLIENT_ID", {
page: 1,
pageSize: 20
});from complycube import ComplyCubeClient
cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')
# For clients
clients = cc_api.clients.list(page=1,pageSize=20)
# For documents. Similarly done for addresses, checks, live photos, etc.
documents = cc_api.documents.list('CLIENT_ID',page=1,pageSize=20)
